<template>
	<view id="viewes" :style="{height : height  + 'px'}">
		<!-- 公告咨询 -->
		<notice :list="list"></notice>
		<u-loadmore :status="loadStatus" bg-color="#ECECEC" margin-top="20" v-if="loadStatus=='nomore'" />
	</view>
</template>

<script>
	import notice from "@/components/informations/notice/notice"
	export default {
		data() {
			return {
				list: [],
				loadStatus: 'loadmore'
			};
		},
		onLoad() {
			this.informationList();
			var _that = this
			uni.getSystemInfo({
			    success: function (res) {
			        console.log(res.windowHeight);
					_that.height = res.windowHeight
			    }
			});
		},
		methods: {
			titletext() {},
			informationList() {
				this.$u.api.informationList({}).then((res) => {
					if (res.errCode == 0) {
						this.list = res.data;
						// 目前没有分页,只无数据提示用
						if(!this.list.length) this.loadStatus = 'nomore';
					}
				})
			}
		},
		components: {
			notice,
		}
	};
</script>

<style lang="scss">
	page {
		background-color: #ECECEC;
	}
	#viewes{
		background: #ECECEC;
	}
	.sousuo {
		height: 113rpx;
		border: 1px #f00 solid;
	}
</style>
